Show / Hide Table of Contents

# Class JobFlagsExt

##### Inheritance

System.Object
JobFlagsExt

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui.Structs

###### Assembly: Dalamud.dll

##### Syntax

    public static class JobFlagsExt

### Methods

| Improve this Doc View Source

#### ClassJob(JobFlags, DataManager)

Get the actual ClassJob from the in-game sheets for this JobFlags.

##### Declaration

    public static ClassJob ClassJob(this JobFlags job, DataManager data)

##### Parameters

Type | Name | Description
--- | --- | ---
JobFlags | job | A JobFlags enum member
DataManager | data | A DataManager to get the ClassJob from

##### Returns

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.ClassJob | A ClassJob if found or null if not